package org.etsi.mts.tdl.execution.java.rt.core;

import org.etsi.mts.tdl.execution.java.tri.NamedElement;

public class NamedElementImpl extends ElementImpl implements NamedElement {

	protected String qualifiedName;

	public NamedElementImpl() {
	}

	public NamedElementImpl(String name, String qualifiedName) {
		super(name);
		this.setQualifiedName(qualifiedName);
	}

	@Override
	public String getQualifiedName() {
		return qualifiedName;
	}

	protected void setQualifiedName(String qualifiedName) {
		this.qualifiedName = qualifiedName;
	}
}
